/*

Interact with SS server

*/


/* Send data to SS server */
unsigned char send(unsigned char *string, unsigned int length);

/* Buffer a file for loading */
unsigned int blockload(unsigned char *filename);

/* Read buffered blocks from SS */
unsigned char readblocks(unsigned char *buffer, unsigned int startblock, unsigned char blockcount);

/* Calculate checksum */
unsigned char checksum(unsigned char *block);

/* Load directory from SS */
unsigned int getssdir(unsigned char *buffer);

/* Ping server and get version string */
unsigned char pingss(unsigned char *ssver);

/* Change directory */
unsigned char changessdir(unsigned char *name);
