use Device::SerialPort;
use strict;
require "modules/serial.pm";


# init the serial port
sub setupserial($) {
  my $baud = shift;
  my $port = shift;

  $::ob = Device::SerialPort->new($port) || return 0;

  $::ob->user_msg(1);       # misc. warnings
  $::ob->error_msg(1);      # hardware and data errors

  $::ob->baudrate($baud) || return 0;
  $::ob->parity("none");
  $::ob->databits(8);
  $::ob->stopbits(1);
  $::ob->handshake('rts');

  $::ob->write_settings;
#  $::ob->save("serslave.cfg");

  return $baud;
}


return(1);
