/*

Disk I/O

*/


typedef struct {
  void *next;
  void *prev;
  unsigned char dev;
  unsigned char type;
} iecdrive;

extern unsigned char interleave;


/* Write a track to the drive */
unsigned char writetrack(unsigned char device, unsigned char *buffer, unsigned char track, unsigned char blockcount, unsigned char drivetype);

/* Verify a track on the drive */
unsigned char verifytrack(unsigned char device, unsigned char *buffer, unsigned char track, unsigned char blockcount, unsigned char drivetype);

/* Scan for drives */
iecdrive *scandrives();

/* Send I0 to re-read BAM */
unsigned char sendi0(unsigned char device);

/* Load directory */
unsigned int getiecdir(unsigned char *buffer, unsigned char device);
