/*

Drive geometry tables

*/

/* drive types */
#define D1541 41
#define D1571 71
#define D1581 81
#define DOTHER 0

extern unsigned char g1541[];
extern unsigned char g1571[];
extern unsigned char g1581[];

extern unsigned char interleave1541[];

extern unsigned int *g1541offset;
extern unsigned int *g1571offset;
extern unsigned int *g1581offset;

/* Calculate offset tables */
extern unsigned char setupgeometry (void);

/* Return optimal interleave for a certain track */
extern unsigned char writeinterleave(unsigned char drivetype, unsigned char track);
extern unsigned char readinterleave(unsigned char drivetype, unsigned char track);

/* Determine disk image type */
unsigned char imagetype(unsigned char *name, unsigned int size);
